Subject: bug#10897: copy-directory create new directory when copying a symlink

From: Glenn Morris <[email-masked]>
Date: Mon, 12 Oct 2020 23:15:24 -0400

Lars Ingebrigtsen wrote:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> I'm unable to reproduce the bug using this recipe -- at the end of this,
>> I just have an empty ~/Test directory.
>
> More information was requested, but none was given, so I'm closing this
> bug report.  If there's still problems in this area, please respond to
> the debbugs address, and we'll reopen the report.

I saw this had previously been tagged "confirmed".

The issue from the OP is reproducible in emacs-27, but changes in Emacs
since it was reported means one now needs to use:

(copy-directory "~/tmp/foo" "~/Test/" nil t)
                                   ^